Article ID: 000084546 Content Type: Troubleshooting Last Reviewed: 09/11/2012

Why can't I generate or regenerate a PCI Express Hard IP Gen1 x4 or Gen1 x8 core for my Stratix IV GX, Stratix IV GT or HardCopy IV design in the Quartus II software version 10.0?

Environment

  • Quartus® II Subscription Edition
  • PCI Express
  • BUILT IN - ARTICLE INTRO SECOND COMPONENT
    Description

    In Quartus® II software version 10.0, PCI Express Hard IP Compilation is Disabled for Gen1 x4 and Gen1 x8 targeting the Stratix® IV GX, Stratix IV GT, and HardCopy® IV GX device families.

    This means you cannot generate or regenerate PCI Express Hard IP Gen1 x4 or Gen1 x8 designs targeting these families in Quartus II software version 10.0.

    This issue does not affect designs that were created in a previous release of Quartus II, PCI Express variations created with previous versions of the software will continue to be supported in 10.0 as long as they are not regenerated.

    Current workarounds

    1. Use Quartus II software version 9.1 SP2 to generate the affected PCI Express configuration and compile in Quartus II software version 10.0.
    2. Alternatively, you can use the Quartus II software version 10.0 PCI Express MegaCore function parameterized to run at the Gen2 rate. For example, if you need a PCI Express Hard IP Gen1 x8 core, you can generate a PCI Express Hard IP Gen2 x8 core in Quartus II software version 10.0 and then down train to Gen1 x8. If you need a PCI Express Hard IP Gen1 x4 core, you can generate a PCI Express Hard IP Gen2 x4 core in Quartus II software version 10.0 and then down train to Gen1 x4.

    This issue has been fixed in Quartus 10.0 SP1.

    Related Products

    This article applies to 3 products

    Stratix® IV GX FPGA
    Stratix® IV GT FPGA
    HardCopy™ IV GX ASIC Devices

    Disclaimer

    1

    All postings and use of the content on this site are subject to Intel.com Terms of Use.